Bug 11847 - Display basketgroup closed date at OPAC
Summary: Display basketgroup closed date at OPAC
Status: BLOCKED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Julian Maurice
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 11708 11169
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-26 11:25 UTC by Julian Maurice
Modified: 2015-04-17 10:19 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 11847: Display basketgroup closed date at OPAC (2.22 KB, patch)
2014-02-26 11:26 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11847: Display basketgroup closed date at OPAC (2.80 KB, patch)
2014-08-01 08:41 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11847: Display basketgroup closed date at OPAC (2.85 KB, patch)
2014-08-02 08:00 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 11847: Add span with class around order date (1.08 KB, patch)
2014-10-09 09:49 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11847: Add span with class around order date (1.13 KB, patch)
2014-10-09 14:40 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 11847: Display basketgroup closed date at OPAC (2.87 KB, patch)
2015-03-16 10:59 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11847: Add span with class around order date (1.07 KB, patch)
2015-03-16 11:00 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2014-02-26 11:25:50 UTC
Display basketgroup closed date at OPAC under "Acquisition Details" tab, on
detail page.
Comment 1 Julian Maurice 2014-02-26 11:26:30 UTC Comment hidden (obsolete)
Comment 2 Julian Maurice 2014-02-26 11:27:00 UTC
Depends on bug 11169 and bug 11708
Comment 3 David Cook 2014-03-26 06:40:55 UTC
I think I can see why a library might want an "Acquisition Details" tab, but it seems a bit...transparent? I don't know if all libraries would want all the details of their orders to show up in the OPAC.
Comment 4 Galen Charlton 2014-04-19 17:57:37 UTC
(In reply to David Cook from comment #3)
> I think I can see why a library might want an "Acquisition Details" tab, but
> it seems a bit...transparent? I don't know if all libraries would want all
> the details of their orders to show up in the OPAC.

I am wondering that myself -- see my comment on bug 11169.
Comment 5 Katrin Fischer 2014-04-19 18:04:17 UTC
The problem I see here is that not all libraries are using basket groups. I even think that most libraries don't use basket groups, so the group is never closed and there would never be a order date showing up. I like Galen's idea to style this information more 'patron friendly'. I also agree that not all libraries want that much transparency, because patrons will come and ask a lot for a book, when they see it has been ordered a while ago, often not understanding why it can take a lot of time sometimes. In case we show a date, I think we also need to take into account the basket closed date.
Comment 6 David Cook 2014-04-24 04:31:02 UTC
I'm setting this one to In Discussion due to the discussion in bug 11169
Comment 7 Julian Maurice 2014-07-28 11:59:54 UTC
This needs some work as bug 11169 do not introduce the new tab.
Comment 8 Julian Maurice 2014-08-01 08:41:58 UTC Comment hidden (obsolete)
Comment 9 Chris Cormack 2014-08-02 08:00:59 UTC Comment hidden (obsolete)
Comment 10 Katrin Fischer 2014-08-03 19:37:54 UTC
I am sorry, bit this seems to explode in a perl error if you choose to not attach your closed basket to a basket group (not checking the checkbox when closing the basket):

basketgroup id is required to edit a basketgroup at /home/katrin/kohaclone/C4/Acquisition.pm line 1001.
Comment 11 Katrin Fischer 2014-08-03 19:40:54 UTC
Hm, maybe I can also add a small request? Could you put the new text into a span with an id? This way libraries that don't want to show the order date can hide it with CSS.
Comment 12 Julian Maurice 2014-10-09 09:49:06 UTC Comment hidden (obsolete)
Comment 13 Julian Maurice 2014-10-09 09:55:00 UTC
(In reply to Katrin Fischer from comment #10)
> I am sorry, bit this seems to explode in a perl error if you choose to not
> attach your closed basket to a basket group (not checking the checkbox when
> closing the basket):
> 
> basketgroup id is required to edit a basketgroup at
> /home/katrin/kohaclone/C4/Acquisition.pm line 1001.

I am not able to reproduce this. Could you test it again on recent master ?
Comment 14 Chris Cormack 2014-10-09 14:40:59 UTC Comment hidden (obsolete)
Comment 15 Katrin Fischer 2014-10-16 14:46:50 UTC
This is currently blocked by its dependency on 11708 (Patch doesn't apply)
Comment 16 Katrin Fischer 2014-10-26 20:40:12 UTC
This patch has a dependency on bug 11708 that doesn't apply, Julian, can you please check?
Comment 17 Jonathan Druart 2014-11-10 10:54:49 UTC
Bug 11708 rebased.
Comment 18 M. Tompsett 2015-03-07 16:13:14 UTC
There's a merge conflict with item-status.inc
Comment 19 Julian Maurice 2015-03-16 10:59:55 UTC
Created attachment 36922 [details] [review]
Bug 11847: Display basketgroup closed date at OPAC

Rebased on master
Comment 20 Julian Maurice 2015-03-16 11:00:05 UTC
Created attachment 36923 [details] [review]
Bug 11847: Add span with class around order date

Rebased on master
Comment 21 Marcel de Rooy 2015-04-17 10:19:59 UTC
Moving to Blocked.
One of the dependencies listed is in FQA